Subject: CHINESES_BIOTECH_NET_FOUNDED

From: [email-masked] (liang)
Date: 6 Dec 93 19:45:37 GMT

CBNet (Chinese Biotechnology Network) is a non-profit organization composed of
professionals in biological, chemical, medical sciences, engineering
and related fields.  The CBNet sponsors the Chinese Biotechnology Internet
Forum (CBIF) newsletter. To subscribe CBIF, please send an email to
[email-masked] with the message body: Add CB-Net.